Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class ServiceNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              com.sun.messaging.jms.management.server.MQNotification
                  com.sun.messaging.jms.management.server.ServiceNotification

All Implemented Interfaces:
  Serializable

    public class ServiceNotification

extends MQNotification

Class containing information on service notifications.

The MQ specific fields in this notification is TBD.

See Also:
  Serialized Form

Field Summary
`static String` `SERVICE_PAUSE` A service was paused.
`static String` `SERVICE_RESUME` A service was resumed.

Fields inherited from class com.sun.messaging.jms.management.server.MQNotification
`PREFIX`

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`ServiceNotification(String type, Object source, long sequenceNumber)` Creates a ServiceNotification object.

Method Summary
`String` `getServiceName()`
`void` `setServiceName(String serviceName)`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_PAUSE

    public static final String SERVICE_PAUSE

  A service was paused.

  See Also:
    Constant Field Values

### SERVICE_RESUME

    public static final String SERVICE_RESUME

  A service was resumed.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceNotification

    public ServiceNotification(String type,
                               Object source,
                               long sequenceNumber)

  Creates a ServiceNotification object.

  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.

Method Detail

### setServiceName

    public void setServiceName(String serviceName)

### getServiceName

    public String getServiceName()

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.